Command reference
deployments inbox-thread
Agent email threads
| Command | Summary |
|---|---|
deployments inbox-thread show | Show an email thread and its messages |
deployments inbox-thread search | Search inbox threads |
deployments inbox-thread show
Show an email thread and its messages.
deployments inbox-thread show <inbox> <thread>- Calls
GET /v1/agent-email/inboxes/{inboxId}/threads/{threadId}(SDKgetAgentEmailThread). - Needs an environment:
--envor the saved context. - Paginated.
--page-sizesets the page size; pass the returned cursor as--cursorfor the next page.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--cursor | string (cursor) | Pagination cursor | ||
--page-size | string (number) | Page size | ||
<inbox> | positional | yes | Inbox ID | |
<thread> | positional | yes | Thread ID |
Also accepts the global flags.
deployments inbox-thread search
Search inbox threads.
deployments inbox-thread search <inbox>- Calls
POST /v1/agent-email/inboxes/{inboxId}/threads/search(SDKsearchAgentEmailThreads). - Needs an environment:
--envor the saved context. - Paginated.
--page-sizesets the page size; pass the returned cursor as--cursorfor the next page.
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--cursor | string (cursor) | Pagination cursor | ||
--page-size | string (number) | Page size | ||
<inbox> | positional | yes | Inbox ID | |
--query | string | Full-text search query | ||
--from | string | Sender address | ||
--to | string | Recipient address | ||
--participants | string (a,b,c) | Participant addresses | ||
--has-attachments | boolean | Only threads with attachments |
Also accepts the global flags.